import java.awt.*;
import java.io.*;
import java.net.*;
import java.awt.event.*;
import javax.swing.*;

public class ClientApp extends JFrame implements ActionListener
{	JTextField inputUsername,inputPassword,inputHost,inputPortNumber;
	JButton buttonOK, buttonStart;
	
	Client client;

	public ClientApp()
	{	inputUsername=new JTextField("",20);
		inputPassword=new JTextField("",20);
		inputHost=new JTextField("127.0.0.1",20);
		inputPortNumber=new JTextField("3000",5);
		
		buttonOK=new JButton("Login");
		buttonOK.addActionListener(this);
		buttonStart=new JButton("Start Game");
		buttonStart.addActionListener(this);
		buttonStart.hide();
		
		getContentPane().setLayout(new GridLayout(5,2));
		getContentPane().add(new JLabel("Username: "));
		getContentPane().add(inputUsername);
		
		getContentPane().add(new JLabel("Password: "));
		getContentPane().add(inputPassword);
		
		getContentPane().add(new JLabel("Host: "));
		getContentPane().add(inputHost);
		
		getContentPane().add(new JLabel("Port Number: "));
		getContentPane().add(inputPortNumber);
		
		getContentPane().add(buttonOK);
		getContentPane().add(buttonStart);
		
		setSize(400,200);
		show();
	}
	public void actionPerformed(ActionEvent e)
	{	if(e.getSource()==buttonOK)
		{	client=new Client(inputHost.getText(),Integer.parseInt(inputPortNumber.getText()),inputUsername.getText(),this);
			JFrame.setDefaultLookAndFeelDecorated(true);
	        JFrame frame = new JFrame(":: Pillage ::");
	        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	        frame.getContentPane().add(client, BorderLayout.CENTER);
	        frame.pack();
	        frame.setVisible(true);
			buttonStart.show();
		}
		else if(e.getSource()==buttonStart)
		{	client.sendMessage("/startGame");
			this.hide();
		}
	}
 	public static void main(String[] args)
	{	new ClientApp();
	}
}